Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QRubberBand.Shape

    java.lang.Object
      java.lang.Enum<QRubberBand.Shape>
          com.trolltech.qt.gui.QRubberBand.Shape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QRubberBand.Shape>

Enclosing class:
  QRubberBand

    public static enum QRubberBand.Shape

extends java.lang.Enum<QRubberBand.Shape>
implements QtEnumerator

This enum specifies what shape a `QRubberBand` should have. This is a drawing hint that is passed down to the style system, and can be interpreted by each `QStyle`.

Enum Constant Summary
`Line` A `QRubberBand` can represent a vertical or horizontal line.
`Rectangle` A `QRubberBand` can represent a rectangle.

Method Summary
`static QRubberBand.Shape` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QRubberBand.Shape` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QRubberBand.Shape[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Line

    public static final QRubberBand.Shape Line

  A `QRubberBand` can represent a vertical or horizontal line. Geometry is still given in `rect` and the line will fill the given geometry on most styles.

### Rectangle

    public static final QRubberBand.Shape Rectangle

  A `QRubberBand` can represent a rectangle. Some styles will interpret this as a filled (often semi-transparent) rectangle, or a rectangular outline.

Method Detail

### values

    public static final QRubberBand.Shape[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QRubberBand.Shape c : QRubberBand.Shape.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QRubberBand.Shape valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QRubberBand.Shape resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD